跳转到主要内容
计算管理/虚拟机相关接口
GETVM Related Interfaces起始版本 0.6同步需要认证

获取虚拟机控制台地址和访问协议

获取虚拟机控制台地址和访问协议

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

查询参数

请求参数

路径参数

  • uuidString必填

    虚拟机UUID

查询参数

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • hostIpString必填

    虚拟机运行主机IP

  • portint必填

    虚拟机控制台端口

  • protocolString必填

    虚拟机控制台协议,vnc或spice或vncAndSpice

  • successboolean必填

    操作是否成功

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • vdiPortInfovdiPortInfo必填

    详情参考vdiPortInfo

    • vncPortInteger必填

      vnc端口号

    • spicePortInteger必填

      spice端口号

    • spiceTlsPortInteger必填

      spice开启Tls加密,会存在spiceTlsPort和spicePort两个端口号,通过spice客户端连接虚拟机需要使用spiceTlsPort端口号

请求地址

GET/zstack/v1/vm-instances/{uuid}/console-addresses

/zstack/v1/vm-instances/{uuid}/console-addresses

操作 ID

GetVmConsoleAddress

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/vm-instances/{uuid}/console-addresses?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "hostIp": "192.168.10.100", "port": 5900, "protocol": "vnc", "vdiPortInfo": { "vncPort": 5900 } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史